Skip to main content
GET
/
v1
/
caller-trust
/
enterprise
Get the caller's enterprise registration
curl --request GET \
  --url https://api.revdesk.com/v1/caller-trust/enterprise \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "telnyx_enterprise_id": "<string>",
    "legal_name": "<string>",
    "dba": "<string>",
    "role_type": "<string>",
    "status": "<string>",
    "rejection_reasons": [
      "<string>"
    ],
    "synced_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

data
object
required